### Function

# ECal ClientTzlookupICalCompData new

since: 3.34

#### Declaration [src]

    ECalClientTzlookupICalCompData*
    e_cal_client_tzlookup_icalcomp_data_new (
      ICalComponent* icomp
    )

#### Description [src]

Constructs a new `ECalClientTzlookupICalCompData`, which can be used as a lookup_data argument of e_cal_client_tzlookup_icalcomp_cb(). Free it with e_cal_client_tzlookup_icalcomp_data_free(), when no longer needed.

Available since: 3.34

#### Parameters

`icomp`

  Type: `None`

  An `ICalComponent`.

  The data is owned by the caller of the function.

#### Return value

Type: `ECalClientTzlookupICalCompData`

A new `ECalClientTzlookupICalCompData`.

The caller of the function takes ownership of the data, and is responsible for freeing it.